Support » Plugin: Video Slider - Slider Carousel » not working after update to 1.3.5

  • Resolved snarchio

    (@snarchio)


    After upgrading to 1.3.5 nothing appears on pages and if try to edip page in the admin it gives an error.

    I got an email from the admin with this error

    Error Details
    =============
    An error of type E_COMPILE_ERROR was caused in line 72 of the file /var/www/wordpress/wp-content/plugins/slider-video/Rich-Web-Video-Slider-Widget.php. Error message: require(): Failed opening required 'Style/RW_VS_Slider_.css.php' (include_path='.:/usr/share/php')

    Putting the site in debug i got

    WordPress database error: [Table 'wordpress.wp_' doesn't exist]
    SELECT * FROM wp_ WHERE RW_VS_ID = ''
    
    WordPress database error: [Table 'wordpress.wp__loader' doesn't exist]
    SELECT * FROM wp__loader WHERE RW_VS_ID = ''
    • This topic was modified 3 months, 2 weeks ago by snarchio.
Viewing 13 replies - 1 through 13 (of 13 total)
  • I am not able to activate as well, getting fatal error.. Will you please be able to provide me link for 1.3.4? I want to downgrade to the previous version. Thank you!

    Thread Starter snarchio

    (@snarchio)

    From the bottom of this page you can select the version to manual download
    https://wordpress.org/plugins/slider-video/advanced/

    Anyway it is a big fault for the plugin!

    yup, seems like it is. thank you for helping. I am downgrading for now.

    Plugin Author richteam

    (@richteam)

    Thank you for the topic.

    We were making an update. The problem has been solved. The problem was with PHP 8. You have an old version of PHP, so you have such a problem. But everything has already been solved related the slider.

    Thanks.

    Thread Starter snarchio

    (@snarchio)

    I still have the same issue with release 1.3.6.

    WordPress database error: [Table 'wordpress.wp_' doesn't exist]
    SELECT * FROM wp_ WHERE RW_VS_ID = ''
    
    WordPress database error: [Table 'wordpress.wp__loader' doesn't exist]
    SELECT * FROM wp__loader WHERE RW_VS_ID = ''

    My server is running PHP 7.2.34.

    I have another server with PHP 7.4 but i’m unable to test it with it (anyway with release 1.3.5 i got the same error).

    We also have a problem.

    Any page with the slider is broken on the front end.

    We have no option but to remove the plugin.

    I am also having this issue. I have the free version updated to 1.3.6. The plugin began causing its page to not load completely recently. I found that disabling the plugin altogether solved the issue. I tried updating PHP to version 7.4, and then to 8, but could not re-enable the plugin with either. Error message: “Plugin could not be activated because it triggered a fatal error.”

    Any solutions would be welcome.

    Plugin Author richteam

    (@richteam)

    Our team is making an update. Please update the slider and see if the problem is solved or not.

    Best, Rich-Web

    Thread Starter snarchio

    (@snarchio)

    Wit release 1.3.7 i get this error

    Warning: require(Style/RW_VS_Slider_Amazing.css.php): failed to open stream: No such file or directory in /var/www/wordpress/wp-content/plugins/slider-video/Rich-Web-Video-Slider-Widget.php on line 151
    
    Fatal error: require(): Failed opening required 'Style/RW_VS_Slider_Amazing.css.php' (include_path='.:/usr/share/php') in /var/www/wordpress/wp-content/plugins/slider-video/Rich-Web-Video-Slider-Widget.php on line 151

    Even if i create a new slider.

    At the end it searches for the file

    RW_VS_Slider_Amazing.css.php

    that is missing from the folder and from the plugin at all. Instead it was included in the release 1.3.4.

    Thread Starter snarchio

    (@snarchio)

    After investigating there are some missing files Slider_Amazing.something.
    Adding them from release 1.3.4 all works.
    I thing you made some mistakes while doing some refactoring.

    Plugin Author richteam

    (@richteam)

    Please deactivate the plugin then activate the plugin. After that, the problem will disappear for you.

    Thank you/

    Thread Starter snarchio

    (@snarchio)

    Ok, deacritaving and then activating solved the problem on the testing installation.
    I’ll check on the production server: stay tuned 🙂

    Plugin Author richteam

    (@richteam)

    We’re glad to hear that the issue has been resolved.

Viewing 13 replies - 1 through 13 (of 13 total)
  • You must be logged in to reply to this topic.